aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKacper Kowalik (Xarthisius) <xarthisius.kk@gmail.com>2011-06-07 12:19:21 +0200
committerKacper Kowalik (Xarthisius) <xarthisius.kk@gmail.com>2011-06-07 12:19:21 +0200
commit06f124b547b8a3a257c86cee7705d2df08008529 (patch)
treec3582555f746a068ac50bcc5631e9c88a4df2187 /dev-java
parentsci-chemistry/ambertools: Version bump to 1.5 (diff)
downloadsci-06f124b547b8a3a257c86cee7705d2df08008529.tar.gz
sci-06f124b547b8a3a257c86cee7705d2df08008529.tar.bz2
sci-06f124b547b8a3a257c86cee7705d2df08008529.zip
[dev-java/hdf-java] version bump
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/hdf-java/ChangeLog7
-rw-r--r--dev-java/hdf-java/Manifest18
-rw-r--r--dev-java/hdf-java/files/hdf-java-2.7-shared.patch (renamed from dev-java/hdf-java/files/hdf-java-2.6.1-shared.patch)51
-rw-r--r--dev-java/hdf-java/hdf-java-2.7.ebuild (renamed from dev-java/hdf-java/hdf-java-2.6.1.ebuild)53
4 files changed, 72 insertions, 57 deletions
diff --git a/dev-java/hdf-java/ChangeLog b/dev-java/hdf-java/ChangeLog
index b5b2e55c0..9ac097823 100644
--- a/dev-java/hdf-java/ChangeLog
+++ b/dev-java/hdf-java/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*hdf-java-2.7 (07 Jun 2011)
+
+ 07 Jun 2011; Kacper Kowalik <xarthisius@gentoo.org> -hdf-java-2.6.1.ebuild,
+ -files/hdf-java-2.6.1-shared.patch, +hdf-java-2.7.ebuild,
+ +files/hdf-java-2.7-shared.patch:
+ Version bump wrt #301049 by Guillaume Horel <guillaume.horel@gmail.com>
+
14 Mar 2011; Justin Lecher <jlec@gentoo.org> hdf-java-2.6.1.ebuild:
Moved media-libs/jpeg -> virtual/jpeg
diff --git a/dev-java/hdf-java/Manifest b/dev-java/hdf-java/Manifest
index 798dbd36f..cc36952c1 100644
--- a/dev-java/hdf-java/Manifest
+++ b/dev-java/hdf-java/Manifest
@@ -1,15 +1,5 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
-
-AUX hdf-java-2.6.1-shared.patch 3949 RMD160 16cfc4d2f8c73e78f121a8e9c58d3bc2689b37cf SHA1 261e13e4214de6d81c9c3a93775e86a1e7f46508 SHA256 86b91a04d60509492f61578a9f8590741cd72ff24e857c2b4f24be97ed1fabf1
-DIST hdf-java-2.6.1-src.tar 10393600 RMD160 68415a01328add838dcdcb3be1b94cdfa3ee22a2 SHA1 0dc074082ece3a7aa8e05b4a438f768c5ee959c9 SHA256 14abf95abe9a863b03d396e87da463da4746e54f05f5c63aef583461ef1401ea
-EBUILD hdf-java-2.6.1.ebuild 1408 RMD160 d0e39fabe3f4cc43307f879da3086a6e05d44d49 SHA1 1befbe655c911fcfba329d7ab1f2117742e6f825 SHA256 3c0aa20b26ae83be7c169cb98788fa848fc20fe8dc8488bff6d84063d2a15a81
-MISC ChangeLog 950 RMD160 e8363eaba5c1985632133554deccef4e2638ae50 SHA1 507c9c81f725ac14fcdb679ab50c12ef589044c2 SHA256 b27f9a4530f3296c7528094695071a19ce43e7003e7834d5c985621eb2eecf93
+AUX hdf-java-2.7-shared.patch 3399 RMD160 ef3f3ed007d981bc9b364984f6b7b0acb245fcc9 SHA1 69ae21acaa761d884a947a139a3c6548f846ae21 SHA256 a7ab3aac334602eb18cb2d5f21d020727d4ba5452ce121e8c1bac550c816ce3b
+DIST hdf-java-2.7-src.tar 13209600 RMD160 1f0957d6f9e57a6e2e237fab68753d214d60e177 SHA1 d85fc993b8631b1b8da80e3f217e2baa58e78add SHA256 091c999cf53266ba113bef45a83912b12444624cfe0253d5eb565b95e0832706
+EBUILD hdf-java-2.7.ebuild 1914 RMD160 e0505b6bbd65b3460278f26d0222695113622fd6 SHA1 6dec074634bf96ed916d1da1f94186baeb5e37fb SHA256 2a4567e86f1e850f70d7f170276d432e085bb98095cf3c0e8e7b4ba0723c1a5d
+MISC ChangeLog 1228 RMD160 6de27fb7bf57b95c298422c9cb0e707d4d81cadf SHA1 579a25bba7cf2dc73c0009cbd76b372d1fb1d753 SHA256 e40f7488a5738e794d7499ca04533d61c2f83a43a10d50ca59064d55b886830e
MISC metadata.xml 695 RMD160 ba84297087b26c64b36a4a5c269187ddbfe0563f SHA1 bc11c02484fab4059dd22881d4714d7b77caed37 SHA256 97a459b5696f58666686ad9722dd445459352350eef1d568097ac420de4a4954
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.17 (GNU/Linux)
-
-iEYEARECAAYFAk196gMACgkQgAnW8HDreRalYwCghJMO+YJPFH23e6ZUyTOXgDTw
-/KwAn0wOyhNM3NgPPMdH4SGxIugJTmZM
-=NPGR
------END PGP SIGNATURE-----
diff --git a/dev-java/hdf-java/files/hdf-java-2.6.1-shared.patch b/dev-java/hdf-java/files/hdf-java-2.7-shared.patch
index 95256cd45..3b863a22e 100644
--- a/dev-java/hdf-java/files/hdf-java-2.6.1-shared.patch
+++ b/dev-java/hdf-java/files/hdf-java-2.7-shared.patch
@@ -1,6 +1,10 @@
-diff -Nur hdf-java.orig/configure.in hdf-java/configure.in
---- hdf-java.orig/configure.in 2010-03-23 15:41:36.000000000 +0000
-+++ hdf-java/configure.in 2010-03-24 04:53:01.000000000 +0000
+Respect LDFLAGS, properly use shared libraries
+
+http://bugs.gentoo.org/show_bug.cgi?id=301049
+
+Patch written by Guillaume Horel <guillaume.horel@gmail.com>
+--- a/configure.in
++++ b/configure.in
@@ -177,7 +177,7 @@
*)
if test -n "$withval" ; then
@@ -16,7 +20,7 @@ diff -Nur hdf-java.orig/configure.in hdf-java/configure.in
jpeg_lib="`echo $withval |cut -f2 -d, -s`"
- JPEGLIB=$jpeg_lib"/libjpeg."$LLEXT
+ JPEGLIB="-L$jpeg_lib -ljpeg"
- #AC_MSG_RESULT([jpeg found: $JPEGLIB]);
+ dnl AC_MSG_RESULT([jpeg found: $JPEGLIB]);
HAVE_JPEG="yes"
else
@@ -246,7 +246,7 @@
@@ -25,7 +29,7 @@ diff -Nur hdf-java.orig/configure.in hdf-java/configure.in
sz_lib="`echo $withval |cut -f2 -d, -s`"
- SZLIB=$sz_lib"/libsz."$LLEXT
+ SZLIB="-L$sz_lib -lsz"
- #AC_MSG_RESULT([szlib found: $SZLIB]);
+ dnl AC_MSG_RESULT([szlib found: $SZLIB]);
HAVE_SZIP="yes"
else
@@ -302,7 +302,7 @@
@@ -33,7 +37,7 @@ diff -Nur hdf-java.orig/configure.in hdf-java/configure.in
esac
if test -n "$HDF4LIB"; then
- LIBS="$HDF4LIB/libdf.$LLEXT $HDF4LIB/libmfhdf.$LLEXT $LIBS"
-+ LIBS="-L$HDF4LIB -ldf -lmfhdf $LIBS"
++ LIBS="-L$HDF4LIB -ldf -lmhdf $LIBS"
HAVE_HDF4="yes"
fi
AC_MSG_RESULT([$HAVE_HDF4])
@@ -55,17 +59,10 @@ diff -Nur hdf-java.orig/configure.in hdf-java/configure.in
HAVE_HDF5="yes"
fi
AC_MSG_RESULT([$HAVE_HDF5])
-@@ -626,16 +626,10 @@
- AC_CACHE_CHECK("JH45 install directory",ac_cv_lib_JH45INST,JH45INST_FOUND=0)
- fi
- if test $JH45INST_FOUND -eq 1; then
-+ mkdir -p $JH45INST
- if test -z "$JH45INST" ; then
- JH45INST=$ac_cv_lib_JH45INST;
+@@ -628,10 +628,6 @@
+ if test \( ! -d "$JH45INST" \); then
+ JH45INST_FOUND=0
fi
-- if test \( ! -d "$JH45INST" \); then
-- JH45INST_FOUND=0
-- fi
- if test \( ! -w "$JH45INST" \); then
- AC_MSG_ERROR( [ $JAVINST : not writable ])
- JH45INST_FOUND=0
@@ -73,19 +70,18 @@ diff -Nur hdf-java.orig/configure.in hdf-java/configure.in
fi
until test $JH45INST_FOUND -eq 1; do
echo "Please type the directory in which to install the JH45"
-diff -Nur hdf-java.orig/native/hdf5lib/Makefile.in hdf-java/native/hdf5lib/Makefile.in
---- hdf-java.orig/native/hdf5lib/Makefile.in 2010-03-23 15:41:36.000000000 +0000
-+++ hdf-java/native/hdf5lib/Makefile.in 2010-03-24 04:52:13.000000000 +0000
-@@ -33,7 +33,7 @@
+--- a/native/hdf5lib/Makefile.in
++++ b/native/hdf5lib/Makefile.in
+@@ -35,7 +35,7 @@
- CFLAGS = -DH5_USE_16_API -D_FILE_OFFSET_BITS=64 $(DEFS) -I. -I$(HDF5INC) -I$(JAVAINC1) -I$(JAVAINC2)
+ CFLAGS = -D_FILE_OFFSET_BITS=64 $(DEFS) -I. -I$(HDF5INC) -I$(JAVAINC1) -I$(JAVAINC2)
-LIBS = $(HDF5LIB)/libhdf5.$(LLEXT) $(ZLIB) $(SZLIB) -lm
+LIBS = -L$(HDF5LIB) -lhdf5 $(ZLIB) $(SZLIB) -lm
# Macro def: object filename used
- OBJECTS = exceptionImp.o h5Constants.o h5Imp.o h5aImp.o h5dImp.o h5fImp.o h5gImp.o h5iImp.o h5pImp.o h5rImp.o h5sImp.o h5tImp.o nativeData.o h5util.o h5zImp.o
-@@ -45,7 +45,7 @@
+ OBJECTS = exceptionImp.o h5Constants.o h5Imp.o h5aImp.o h5dImp.o h5eImp.o h5fImp.o h5gImp.o h5iImp.o h5lImp.o h5oImp.o h5pImp.o h5rImp.o h5sImp.o h5tImp.o nativeData.o h5util.o h5zImp.o
+@@ -47,7 +47,7 @@
libjhdf5: $(OBJECTS)
-mkdir -p $(LIBDIR);
@@ -94,10 +90,9 @@ diff -Nur hdf-java.orig/native/hdf5lib/Makefile.in hdf-java/native/hdf5lib/Makef
clean:
$(RM) -f *.o so_locations $(LIBDIR)/libjhdf5.$(JSLEXT)
-diff -Nur hdf-java.orig/native/hdflib/Makefile.in hdf-java/native/hdflib/Makefile.in
---- hdf-java.orig/native/hdflib/Makefile.in 2010-03-23 15:41:36.000000000 +0000
-+++ hdf-java/native/hdflib/Makefile.in 2010-03-24 04:52:13.000000000 +0000
-@@ -37,7 +37,7 @@
+--- a/native/hdflib/Makefile.in
++++ b/native/hdflib/Makefile.in
+@@ -41,7 +41,7 @@
CFLAGS = $(DEFS) -I. -I$(JAVAINC1) -I$(JAVAINC2) -I$(HDFINC)
# Be sure to add -lbsd if compiling in a SYSV environment
@@ -106,7 +101,7 @@ diff -Nur hdf-java.orig/native/hdflib/Makefile.in hdf-java/native/hdflib/Makefil
# Macro def: object filename used
OBJECTS = hdfstructsutil.o \
-@@ -56,7 +56,7 @@
+@@ -60,7 +60,7 @@
libjhdf: $(OBJECTS)
-mkdir -p $(LIBDIR);
diff --git a/dev-java/hdf-java/hdf-java-2.6.1.ebuild b/dev-java/hdf-java/hdf-java-2.7.ebuild
index 86d0b63e6..5c826052d 100644
--- a/dev-java/hdf-java/hdf-java-2.6.1.ebuild
+++ b/dev-java/hdf-java/hdf-java-2.7.ebuild
@@ -3,7 +3,7 @@
# $Header: $
EAPI=2
-JAVA_PKG_IUSE="doc examples source"
+JAVA_PKG_IUSE="doc examples"
inherit eutils java-pkg-2 autotools
DESCRIPTION="Java interface to the HDF5 library"
@@ -13,28 +13,26 @@ SRC_URI="http://www.hdfgroup.org/ftp/HDF5/hdf-java/src/${P}-src.tar"
LICENSE="NCSA-HDF"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="hdf"
+IUSE="hdf szip zlib test"
+
+CDEPEND=">=sci-libs/hdf5-1.8[szip?,zlib?]
+ hdf? (
+ sci-libs/hdf
+ virtual/jpeg
+ )"
-CDEPEND="
- >=sci-libs/hdf5-1.8[szip]
- virtual/jpeg
- sys-libs/zlib
- hdf? ( sci-libs/hdf )"
RDEPEND="${CDEPEND}
>=virtual/jre-1.5"
DEPEND=">=virtual/jdk-1.5
${CDEPEND}"
-S="${WORKDIR}/${PN}"
+S=${WORKDIR}/${PN}
src_prepare() {
- sed -i \
- -e 's|case JH5F_SCOPE_DOWN|//case JH5F_SCOPE_DOWN|' \
- native/hdf5lib/h5Constants.c || die
epatch "${FILESDIR}"/${P}-shared.patch
eautoreconf
- has_version sci-libs/hdf5[mpi] && export CC=mpicc
+ rm lib/*.jar
}
src_configure() {
@@ -42,21 +40,46 @@ src_configure() {
local myconf="--with-hdf4=no --with-libjpeg=no"
use hdf && \
myconf="--with-libjpeg=${stdpath} --with-hdf4=${stdpath}"
+ use zlib && myconf="${myconf} --with-libz="${stdpath}""
+ use szip && myconf="${myconf} --with-libsz="${stdpath}""
econf \
${myconf} \
- --with-libz="${stdpath}" \
- --with-libsz="${stdpath}" \
--with-hdf5="${stdpath}" \
--with-jdk="$(java-config -o)/include,$(java-config -o)/jre/lib"
}
src_compile() {
# parallel needs work. anyone?
- emake -j1 || die "emake failed"
+ emake -j1 just-hdf5 || die
+
+ if use hdf; then
+ sed -i "s/MAX_VAR_DIMS/H4_MAX_VAR_DIMS/" \
+ native/hdflib/hdfstructsutil.c || die
+ sed -i "s/MAX_NC_NAME/H4_MAX_NC_NAME/" \
+ native/hdflib/hdfvdataImp.c || die
+ sed -i "s/MAX_NC_NAME/H4_MAX_NC_NAME/" \
+ native/hdflib/hdfsdsImp.c || die
+ emake -j1 just-hdf4|| die
+ fi
+
+ if use examples; then
+ emake -j1 do-examples || die
+ fi
+
+ if use doc; then
+ emake -j1 javadocs || die
+ fi
}
src_install() {
java-pkg_dojar "lib/jhdf5.jar"
java-pkg_doso "lib/linux/libjhdf5.so"
+
+ if use hdf; then
+ java-pkg_dojar "lib/jhdf.jar"
+ java-pkg_doso "lib/linux/libjhdf.so"
+ fi
+ use doc && java-pkg_dojavadoc "docs/javadocs"
+ use examples && java-pkg_doexamples "examples"
}